Get report body
curl --request GET \
--url https://api.algoreg.com/api/v1/press/reportbody/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.algoreg.com/api/v1/press/reportbody/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.algoreg.com/api/v1/press/reportbody/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_at": "string",
"general_sources": [
{
"consulted_by_agents": [
"integer"
],
"website": {
"images": [
"string"
],
"index": "integer",
"is_known_as_quality_source": "boolean",
"snippet": "string",
"summary": "string",
"title": "string",
"url": "string"
}
}
],
"general_summary": "string",
"metadata": {
"input": {
"additional_info": {
"Age": "integer",
"CountryCodes": [
"string"
],
"Entity": "integer"
},
"name": "string",
"search_name_components": {
"company_name": "string",
"first_name": "string",
"last_name": "string",
"middle_name": "string",
"raw_queried_name": "string",
"trading_name": "string"
}
},
"sources": "object",
"time": "object",
"tokens": "object"
},
"namesake": {
"count": "integer",
"historical_or_dead_entity": "boolean",
"indexes": [
"array"
],
"score": "integer"
},
"other_sources": [
{
"consulted_by_agents": [
"integer"
],
"website": {
"images": [
"string"
],
"index": "integer",
"is_known_as_quality_source": "boolean",
"snippet": "string",
"summary": "string",
"title": "string",
"url": "string"
}
}
],
"report_body_id": "string",
"report_categories": [
{
"category": "string",
"degree_of_certainty": "string",
"reason": "string",
"reverted": "boolean",
"severity": "string",
"sources": [
{
"consulted_by_agents": [
"integer"
],
"website": {
"images": [
"string"
],
"index": "integer",
"is_known_as_quality_source": "boolean",
"snippet": "string",
"summary": "string",
"title": "string",
"url": "string"
}
}
]
}
],
"risk_summary": "string"
}
{
"errors": [
{
"code": "string",
"deprecated": "boolean",
"message": "string",
"will_be_deprecated": "boolean"
}
]
}
Go!Press
Get report body
Retrieve a previously generated instant report.
GET
/
api
/
v1
/
press
/
reportbody
/
{id}
Get report body
Path parameters
string
required
Response body
- 200
- default
string
Source[]
string
PressMetadata
Source[]
string
ReportCategory[]
string
{
"created_at": "string",
"general_sources": [
{
"consulted_by_agents": [
"integer"
],
"website": {
"images": [
"string"
],
"index": "integer",
"is_known_as_quality_source": "boolean",
"snippet": "string",
"summary": "string",
"title": "string",
"url": "string"
}
}
],
"general_summary": "string",
"metadata": {
"input": {
"additional_info": {
"Age": "integer",
"CountryCodes": [
"string"
],
"Entity": "integer"
},
"name": "string",
"search_name_components": {
"company_name": "string",
"first_name": "string",
"last_name": "string",
"middle_name": "string",
"raw_queried_name": "string",
"trading_name": "string"
}
},
"sources": "object",
"time": "object",
"tokens": "object"
},
"namesake": {
"count": "integer",
"historical_or_dead_entity": "boolean",
"indexes": [
"array"
],
"score": "integer"
},
"other_sources": [
{
"consulted_by_agents": [
"integer"
],
"website": {
"images": [
"string"
],
"index": "integer",
"is_known_as_quality_source": "boolean",
"snippet": "string",
"summary": "string",
"title": "string",
"url": "string"
}
}
],
"report_body_id": "string",
"report_categories": [
{
"category": "string",
"degree_of_certainty": "string",
"reason": "string",
"reverted": "boolean",
"severity": "string",
"sources": [
{
"consulted_by_agents": [
"integer"
],
"website": {
"images": [
"string"
],
"index": "integer",
"is_known_as_quality_source": "boolean",
"snippet": "string",
"summary": "string",
"title": "string",
"url": "string"
}
}
]
}
],
"risk_summary": "string"
}
{
"errors": [
{
"code": "string",
"deprecated": "boolean",
"message": "string",
"will_be_deprecated": "boolean"
}
]
}
⌘I